## org.eclipse.datatools.modelbase.sql.xml.query.impl
Class SQLXMLQueryModelFactoryImpl

    java.lang.Object
      EFactoryImpl
          org.eclipse.datatools.modelbase.sql.xml.query.impl.SQLXMLQueryModelFactoryImpl

All Implemented Interfaces:
  SQLXMLQueryModelFactory

public class SQLXMLQueryModelFactoryImpl
extends EFactoryImpl
implements SQLXMLQueryModelFactory

An implementation of the model Factory.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.eclipse.datatools.modelbase.sql.xml.query.SQLXMLQueryModelFactory
`eINSTANCE`

Constructor Summary
`SQLXMLQueryModelFactoryImpl()` Creates an instance of the factory.

Method Summary
`java.lang.String` `convertToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertXMLContentType2ToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertXMLContentTypeToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertXMLDeclarationTypeToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertXMLEmptyHandlingTypeToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertXMLNullHandlingTypeToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertXMLPassingTypeToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertXMLReturningTypeToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertXMLWhitespaceHandlingTypeToString(EDataType eDataType, java.lang.Object instanceValue)`
`EObject` `create(EClass eClass)`
`java.lang.Object` `createFromString(EDataType eDataType, java.lang.String initialValue)`
`XMLAggregateFunction` `createXMLAggregateFunction()`
`XMLAggregateSortSpecification` `createXMLAggregateSortSpecification()`
`XMLAttributeDeclarationItem` `createXMLAttributeDeclarationItem()`
`XMLAttributesDeclaration` `createXMLAttributesDeclaration()`
`XMLContentType2` `createXMLContentType2FromString(EDataType eDataType, java.lang.String initialValue)`
`XMLContentType` `createXMLContentTypeFromString(EDataType eDataType, java.lang.String initialValue)`
`XMLDeclarationType` `createXMLDeclarationTypeFromString(EDataType eDataType, java.lang.String initialValue)`
`XMLEmptyHandlingType` `createXMLEmptyHandlingTypeFromString(EDataType eDataType, java.lang.String initialValue)`
`XMLNamespaceDeclarationDefault` `createXMLNamespaceDeclarationDefault()`
`XMLNamespaceDeclarationItem` `createXMLNamespaceDeclarationItem()`
`XMLNamespaceDeclarationPrefix` `createXMLNamespaceDeclarationPrefix()`
`XMLNamespacesDeclaration` `createXMLNamespacesDeclaration()`
`XMLNullHandlingType` `createXMLNullHandlingTypeFromString(EDataType eDataType, java.lang.String initialValue)`
`XMLPassingType` `createXMLPassingTypeFromString(EDataType eDataType, java.lang.String initialValue)`
`XMLPredicateContent` `createXMLPredicateContent()`
`XMLPredicateDocument` `createXMLPredicateDocument()`
`XMLPredicateExists` `createXMLPredicateExists()`
`XMLPredicateValid` `createXMLPredicateValid()`
`XMLQueryArgumentItem` `createXMLQueryArgumentItem()`
`XMLQueryArgumentList` `createXMLQueryArgumentList()`
`XMLQueryExpression` `createXMLQueryExpression()`
`XMLReturningType` `createXMLReturningTypeFromString(EDataType eDataType, java.lang.String initialValue)`
`XMLSerializeFunction` `createXMLSerializeFunction()`
`XMLSerializeFunctionEncoding` `createXMLSerializeFunctionEncoding()`
`XMLSerializeFunctionTarget` `createXMLSerializeFunctionTarget()`
`XMLTableColumnDefinitionDefault` `createXMLTableColumnDefinitionDefault()`
`XMLTableColumnDefinitionItem` `createXMLTableColumnDefinitionItem()`
`XMLTableColumnDefinitionOrdinality` `createXMLTableColumnDefinitionOrdinality()`
`XMLTableColumnDefinitionRegular` `createXMLTableColumnDefinitionRegular()`
`XMLTableFunction` `createXMLTableFunction()`
`XMLValueExpressionCast` `createXMLValueExpressionCast()`
`XMLValueFunctionComment` `createXMLValueFunctionComment()`
`XMLValueFunctionCommentContent` `createXMLValueFunctionCommentContent()`
`XMLValueFunctionConcat` `createXMLValueFunctionConcat()`
`XMLValueFunctionConcatContentItem` `createXMLValueFunctionConcatContentItem()`
`XMLValueFunctionDocument` `createXMLValueFunctionDocument()`
`XMLValueFunctionDocumentContent` `createXMLValueFunctionDocumentContent()`
`XMLValueFunctionElement` `createXMLValueFunctionElement()`
`XMLValueFunctionElementContentItem` `createXMLValueFunctionElementContentItem()`
`XMLValueFunctionElementContentList` `createXMLValueFunctionElementContentList()`
`XMLValueFunctionForest` `createXMLValueFunctionForest()`
`XMLValueFunctionForestContentItem` `createXMLValueFunctionForestContentItem()`
`XMLValueFunctionParse` `createXMLValueFunctionParse()`
`XMLValueFunctionParseContent` `createXMLValueFunctionParseContent()`
`XMLValueFunctionPI` `createXMLValueFunctionPI()`
`XMLValueFunctionPIContent` `createXMLValueFunctionPIContent()`
`XMLValueFunctionQuery` `createXMLValueFunctionQuery()`
`XMLValueFunctionQueryReturning` `createXMLValueFunctionQueryReturning()`
`XMLValueFunctionText` `createXMLValueFunctionText()`
`XMLValueFunctionTextContent` `createXMLValueFunctionTextContent()`
`XMLValueFunctionValidate` `createXMLValueFunctionValidate()`
`XMLValueFunctionValidateAccordingTo` `createXMLValueFunctionValidateAccordingTo()`
`XMLValueFunctionValidateAccordingToIdentifier` `createXMLValueFunctionValidateAccordingToIdentifier()`
`XMLValueFunctionValidateAccordingToURI` `createXMLValueFunctionValidateAccordingToURI()`
`XMLValueFunctionValidateContent` `createXMLValueFunctionValidateContent()`
`XMLValueFunctionValidateElement` `createXMLValueFunctionValidateElement()`
`XMLValueFunctionValidateElementName` `createXMLValueFunctionValidateElementName()`
`XMLValueFunctionValidateElementNamespace` `createXMLValueFunctionValidateElementNamespace()`
`XMLWhitespaceHandlingType` `createXMLWhitespaceHandlingTypeFromString(EDataType eDataType, java.lang.String initialValue)`
`static SQLXMLQueryModelPackage` `getPackage()` Deprecated.
`SQLXMLQueryModelPackage` `getSQLXMLQueryModelPackage()`
`static SQLXMLQueryModelFactory` `init()` Creates the default factory implementation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLXMLQueryModelFactoryImpl

    public SQLXMLQueryModelFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static SQLXMLQueryModelFactory init()

  Creates the default factory implementation.

### create

    public EObject create(EClass eClass)

### createFromString

    public java.lang.Object createFromString(EDataType eDataType,
                                             java.lang.String initialValue)

### convertToString

    public java.lang.String convertToString(EDataType eDataType,
                                            java.lang.Object instanceValue)

### createXMLValueFunctionConcat

    public XMLValueFunctionConcat createXMLValueFunctionConcat()

  Specified by:
    `createXMLValueFunctionConcat` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Value Function Concat'.

### createXMLNamespaceDeclarationPrefix

    public XMLNamespaceDeclarationPrefix createXMLNamespaceDeclarationPrefix()

  Specified by:
    `createXMLNamespaceDeclarationPrefix` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Namespace Declaration Prefix'.

### createXMLNamespaceDeclarationDefault

    public XMLNamespaceDeclarationDefault createXMLNamespaceDeclarationDefault()

  Specified by:
    `createXMLNamespaceDeclarationDefault` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Namespace Declaration Default'.

### createXMLAttributeDeclarationItem

    public XMLAttributeDeclarationItem createXMLAttributeDeclarationItem()

  Specified by:
    `createXMLAttributeDeclarationItem` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Attribute Declaration Item'.

### createXMLValueFunctionElement

    public XMLValueFunctionElement createXMLValueFunctionElement()

  Specified by:
    `createXMLValueFunctionElement` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Value Function Element'.

### createXMLNamespaceDeclarationItem

    public XMLNamespaceDeclarationItem createXMLNamespaceDeclarationItem()

  Specified by:
    `createXMLNamespaceDeclarationItem` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Namespace Declaration Item'.

### createXMLValueFunctionElementContentItem

    public XMLValueFunctionElementContentItem createXMLValueFunctionElementContentItem()

  Specified by:
    `createXMLValueFunctionElementContentItem` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Value Function Element Content Item'.

### createXMLValueFunctionForest

    public XMLValueFunctionForest createXMLValueFunctionForest()

  Specified by:
    `createXMLValueFunctionForest` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Value Function Forest'.

### createXMLValueFunctionComment

    public XMLValueFunctionComment createXMLValueFunctionComment()

  Specified by:
    `createXMLValueFunctionComment` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Value Function Comment'.

### createXMLValueFunctionDocument

    public XMLValueFunctionDocument createXMLValueFunctionDocument()

  Specified by:
    `createXMLValueFunctionDocument` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Value Function Document'.

### createXMLValueFunctionParse

    public XMLValueFunctionParse createXMLValueFunctionParse()

  Specified by:
    `createXMLValueFunctionParse` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Value Function Parse'.

### createXMLValueFunctionPI

    public XMLValueFunctionPI createXMLValueFunctionPI()

  Specified by:
    `createXMLValueFunctionPI` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Value Function PI'.

### createXMLValueFunctionQuery

    public XMLValueFunctionQuery createXMLValueFunctionQuery()

  Specified by:
    `createXMLValueFunctionQuery` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Value Function Query'.

### createXMLValueFunctionText

    public XMLValueFunctionText createXMLValueFunctionText()

  Specified by:
    `createXMLValueFunctionText` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Value Function Text'.

### createXMLValueFunctionValidate

    public XMLValueFunctionValidate createXMLValueFunctionValidate()

  Specified by:
    `createXMLValueFunctionValidate` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Value Function Validate'.

### createXMLValueExpressionCast

    public XMLValueExpressionCast createXMLValueExpressionCast()

  Specified by:
    `createXMLValueExpressionCast` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Value Expression Cast'.

### createXMLPredicateContent

    public XMLPredicateContent createXMLPredicateContent()

  Specified by:
    `createXMLPredicateContent` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Predicate Content'.

### createXMLPredicateDocument

    public XMLPredicateDocument createXMLPredicateDocument()

  Specified by:
    `createXMLPredicateDocument` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Predicate Document'.

### createXMLPredicateExists

    public XMLPredicateExists createXMLPredicateExists()

  Specified by:
    `createXMLPredicateExists` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Predicate Exists'.

### createXMLPredicateValid

    public XMLPredicateValid createXMLPredicateValid()

  Specified by:
    `createXMLPredicateValid` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Predicate Valid'.

### createXMLQueryExpression

    public XMLQueryExpression createXMLQueryExpression()

  Specified by:
    `createXMLQueryExpression` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Query Expression'.

### createXMLQueryArgumentList

    public XMLQueryArgumentList createXMLQueryArgumentList()

  Specified by:
    `createXMLQueryArgumentList` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Query Argument List'.

### createXMLQueryArgumentItem

    public XMLQueryArgumentItem createXMLQueryArgumentItem()

  Specified by:
    `createXMLQueryArgumentItem` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Query Argument Item'.

### createXMLSerializeFunction

    public XMLSerializeFunction createXMLSerializeFunction()

  Specified by:
    `createXMLSerializeFunction` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Serialize Function'.

### createXMLSerializeFunctionTarget

    public XMLSerializeFunctionTarget createXMLSerializeFunctionTarget()

  Specified by:
    `createXMLSerializeFunctionTarget` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Serialize Function Target'.

### createXMLAggregateFunction

    public XMLAggregateFunction createXMLAggregateFunction()

  Specified by:
    `createXMLAggregateFunction` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Aggregate Function'.

### createXMLValueFunctionConcatContentItem

    public XMLValueFunctionConcatContentItem createXMLValueFunctionConcatContentItem()

  Specified by:
    `createXMLValueFunctionConcatContentItem` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Value Function Concat Content Item'.

### createXMLValueFunctionCommentContent

    public XMLValueFunctionCommentContent createXMLValueFunctionCommentContent()

  Specified by:
    `createXMLValueFunctionCommentContent` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Value Function Comment Content'.

### createXMLValueFunctionDocumentContent

    public XMLValueFunctionDocumentContent createXMLValueFunctionDocumentContent()

  Specified by:
    `createXMLValueFunctionDocumentContent` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Value Function Document Content'.

### createXMLAggregateSortSpecification

    public XMLAggregateSortSpecification createXMLAggregateSortSpecification()

  Specified by:
    `createXMLAggregateSortSpecification` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Aggregate Sort Specification'.

### createXMLValueFunctionForestContentItem

    public XMLValueFunctionForestContentItem createXMLValueFunctionForestContentItem()

  Specified by:
    `createXMLValueFunctionForestContentItem` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Value Function Forest Content Item'.

### createXMLValueFunctionParseContent

    public XMLValueFunctionParseContent createXMLValueFunctionParseContent()

  Specified by:
    `createXMLValueFunctionParseContent` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Value Function Parse Content'.

### createXMLValueFunctionPIContent

    public XMLValueFunctionPIContent createXMLValueFunctionPIContent()

  Specified by:
    `createXMLValueFunctionPIContent` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Value Function PI Content'.

### createXMLTableFunction

    public XMLTableFunction createXMLTableFunction()

  Specified by:
    `createXMLTableFunction` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Table Function'.

### createXMLValueFunctionTextContent

    public XMLValueFunctionTextContent createXMLValueFunctionTextContent()

  Specified by:
    `createXMLValueFunctionTextContent` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Value Function Text Content'.

### createXMLValueFunctionValidateContent

    public XMLValueFunctionValidateContent createXMLValueFunctionValidateContent()

  Specified by:
    `createXMLValueFunctionValidateContent` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Value Function Validate Content'.

### createXMLTableColumnDefinitionItem

    public XMLTableColumnDefinitionItem createXMLTableColumnDefinitionItem()

  Specified by:
    `createXMLTableColumnDefinitionItem` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Table Column Definition Item'.

### createXMLTableColumnDefinitionRegular

    public XMLTableColumnDefinitionRegular createXMLTableColumnDefinitionRegular()

  Specified by:
    `createXMLTableColumnDefinitionRegular` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Table Column Definition Regular'.

### createXMLTableColumnDefinitionOrdinality

    public XMLTableColumnDefinitionOrdinality createXMLTableColumnDefinitionOrdinality()

  Specified by:
    `createXMLTableColumnDefinitionOrdinality` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Table Column Definition Ordinality'.

### createXMLValueFunctionValidateAccordingTo

    public XMLValueFunctionValidateAccordingTo createXMLValueFunctionValidateAccordingTo()

  Specified by:
    `createXMLValueFunctionValidateAccordingTo` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Value Function Validate According To'.

### createXMLValueFunctionValidateAccordingToURI

    public XMLValueFunctionValidateAccordingToURI createXMLValueFunctionValidateAccordingToURI()

  Specified by:
    `createXMLValueFunctionValidateAccordingToURI` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Value Function Validate According To URI'.

### createXMLValueFunctionValidateAccordingToIdentifier

    public XMLValueFunctionValidateAccordingToIdentifier createXMLValueFunctionValidateAccordingToIdentifier()

  Specified by:
    `createXMLValueFunctionValidateAccordingToIdentifier` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Value Function Validate According To Identifier'.

### createXMLValueFunctionValidateElementName

    public XMLValueFunctionValidateElementName createXMLValueFunctionValidateElementName()

  Specified by:
    `createXMLValueFunctionValidateElementName` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Value Function Validate Element Name'.

### createXMLValueFunctionValidateElementNamespace

    public XMLValueFunctionValidateElementNamespace createXMLValueFunctionValidateElementNamespace()

  Specified by:
    `createXMLValueFunctionValidateElementNamespace` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Value Function Validate Element Namespace'.

### createXMLNamespacesDeclaration

    public XMLNamespacesDeclaration createXMLNamespacesDeclaration()

  Specified by:
    `createXMLNamespacesDeclaration` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Namespaces Declaration'.

### createXMLAttributesDeclaration

    public XMLAttributesDeclaration createXMLAttributesDeclaration()

  Specified by:
    `createXMLAttributesDeclaration` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Attributes Declaration'.

### createXMLValueFunctionElementContentList

    public XMLValueFunctionElementContentList createXMLValueFunctionElementContentList()

  Specified by:
    `createXMLValueFunctionElementContentList` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Value Function Element Content List'.

### createXMLValueFunctionQueryReturning

    public XMLValueFunctionQueryReturning createXMLValueFunctionQueryReturning()

  Specified by:
    `createXMLValueFunctionQueryReturning` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Value Function Query Returning'.

### createXMLValueFunctionValidateElement

    public XMLValueFunctionValidateElement createXMLValueFunctionValidateElement()

  Specified by:
    `createXMLValueFunctionValidateElement` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Value Function Validate Element'.

### createXMLTableColumnDefinitionDefault

    public XMLTableColumnDefinitionDefault createXMLTableColumnDefinitionDefault()

  Specified by:
    `createXMLTableColumnDefinitionDefault` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Table Column Definition Default'.

### createXMLSerializeFunctionEncoding

    public XMLSerializeFunctionEncoding createXMLSerializeFunctionEncoding()

  Specified by:
    `createXMLSerializeFunctionEncoding` in interface `SQLXMLQueryModelFactory`
  Returns:
    a new object of class 'XML Serialize Function Encoding'.

### createXMLPassingTypeFromString

    public XMLPassingType createXMLPassingTypeFromString(EDataType eDataType,
                                                         java.lang.String initialValue)

### convertXMLPassingTypeToString

    public java.lang.String convertXMLPassingTypeToString(EDataType eDataType,
                                                          java.lang.Object instanceValue)

### createXMLContentTypeFromString

    public XMLContentType createXMLContentTypeFromString(EDataType eDataType,
                                                         java.lang.String initialValue)

### convertXMLContentTypeToString

    public java.lang.String convertXMLContentTypeToString(EDataType eDataType,
                                                          java.lang.Object instanceValue)

### createXMLDeclarationTypeFromString

    public XMLDeclarationType createXMLDeclarationTypeFromString(EDataType eDataType,
                                                                 java.lang.String initialValue)

### convertXMLDeclarationTypeToString

    public java.lang.String convertXMLDeclarationTypeToString(EDataType eDataType,
                                                              java.lang.Object instanceValue)

### createXMLReturningTypeFromString

    public XMLReturningType createXMLReturningTypeFromString(EDataType eDataType,
                                                             java.lang.String initialValue)

### convertXMLReturningTypeToString

    public java.lang.String convertXMLReturningTypeToString(EDataType eDataType,
                                                            java.lang.Object instanceValue)

### createXMLNullHandlingTypeFromString

    public XMLNullHandlingType createXMLNullHandlingTypeFromString(EDataType eDataType,
                                                                   java.lang.String initialValue)

### convertXMLNullHandlingTypeToString

    public java.lang.String convertXMLNullHandlingTypeToString(EDataType eDataType,
                                                               java.lang.Object instanceValue)

### createXMLWhitespaceHandlingTypeFromString

    public XMLWhitespaceHandlingType createXMLWhitespaceHandlingTypeFromString(EDataType eDataType,
                                                                               java.lang.String initialValue)

### convertXMLWhitespaceHandlingTypeToString

    public java.lang.String convertXMLWhitespaceHandlingTypeToString(EDataType eDataType,
                                                                     java.lang.Object instanceValue)

### createXMLEmptyHandlingTypeFromString

    public XMLEmptyHandlingType createXMLEmptyHandlingTypeFromString(EDataType eDataType,
                                                                     java.lang.String initialValue)

### convertXMLEmptyHandlingTypeToString

    public java.lang.String convertXMLEmptyHandlingTypeToString(EDataType eDataType,
                                                                java.lang.Object instanceValue)

### createXMLContentType2FromString

    public XMLContentType2 createXMLContentType2FromString(EDataType eDataType,
                                                           java.lang.String initialValue)

### convertXMLContentType2ToString

    public java.lang.String convertXMLContentType2ToString(EDataType eDataType,
                                                           java.lang.Object instanceValue)

### getSQLXMLQueryModelPackage

    public SQLXMLQueryModelPackage getSQLXMLQueryModelPackage()

  Specified by:
    `getSQLXMLQueryModelPackage` in interface `SQLXMLQueryModelFactory`
  Returns:
    the package supported by this factory.

### getPackage

    public static SQLXMLQueryModelPackage getPackage()

  Deprecated.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.